PoolParty Client Requirements

The PoolParty client has to meet the following requirements.

Supported Web Browsers

PoolParty works with evergreen browsers:

  • Google Chrome,

  • Mozilla Firefox,

  • Microsoft Edge.

Other Recommendations

It is recommended to have a DSL connection to the internet, otherwise response times might be slow.